Update a webhook endpoint
Update the URL, description, subscribed event types, or enabled/disabled status.
Path Parameters
- Type: string Format: uuididrequired
Body
required
application/json
- Type: string | nulldescriptionmax length:500
- Type: array string[] 1…enumevent
Types const:payment_ordervalues- payment
_order
- Type: string enumstatusvalues
- E
N A B L E D - D
I S A B L E D
- Type: string Format: uriurl
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for patch/api/v1/webhooks/endpoints/{id}
curl https://api.bettermoney.com/api/v1/webhooks/endpoints/123e4567-e89b-12d3-a456-426614174000 \
--request PATCH \
--header 'Content-Type: application/json' \
--data '{
"url": "",
"description": null,
"eventTypes": [
"payment_order"
],
"status": "ENABLED"
}'
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"accountId": "123e4567-e89b-12d3-a456-426614174000",
"url": "https://example.com",
"description": null,
"status": "ENABLED",
"eventTypes": [
"payment_order"
],
"consecutiveFailures": -9007199254740991,
"createdAt": "2026-09-08T20:57:50.192Z",
"updatedAt": "2026-09-08T20:57:50.192Z",
"disabledAt": null,
"deletedAt": null
}